Skip to main content

Gmail List Labels

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.gmail_list_labels

List Gmail labels for the authenticated user.

Request Body

{
"jsonrpc": "2.0",
"id": "google-gmail-list-labels-example",
"method": "tools/call",
"params": {
"name": "google.gmail_list_labels",
"arguments": {
"fields": "",
"minimal": false,
"include_visibility": false
}
}
}

Arguments Schema

{
"properties": {
"fields": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"minimal": {
"type": "boolean"
},
"include_visibility": {
"type": "boolean"
}
},
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-gmail-list-labels-example",
"method": "tools/call",
"params": {
"name": "google.gmail_list_labels",
"arguments": {
"fields": "",
"minimal": false,
"include_visibility": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.gmail_list_labels executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}